<?php

namespace Lc\CaracoleBundle\Repository\Merchant;

use Doctrine\Bundle\DoctrineBundle\Repository\ServiceEntityRepository;
use Doctrine\Persistence\ManagerRegistry;
use Lc\CaracoleBundle\Model\Merchant\MerchantInterface;

/**
 * @method MerchantInterface|null find($id, $lockMode = null, $lockVersion = null)
 * @method MerchantInterface|null findOneBy(array $criteria, array $orderBy = null)
 * @method MerchantInterface[]    findAll()
 * @method MerchantInterface[]    findBy(array $criteria, array $orderBy = null, $limit = null, $offset = null)
 */
class MerchantRepository extends ServiceEntityRepository
{
    public function __construct(ManagerRegistry $registry)
    {
        parent::__construct($registry, MerchantInterface::class);
    }
}
